module Core.Configuration where

import Configuration.Dotenv
import System.Environment   (getEnv, lookupEnv)

main :: IO ()
main = do
  envFile <- lookupEnv "NOENVFILE"
  case envFile of
    Nothing  -> loadFile defaultConfig
    _        -> putStrLn "Not using dotenv"

appPort :: IO String
appPort = getEnv "APPLICATIONPORT"

appTitle :: IO String
appTitle = getEnv "BLOGTITLE"
