module Core.Handlers where

import qualified Core.Configuration     as Conf
import qualified Core.Rendering         as R
import Fragments.Base
import Fragments.NotFound

import Control.Monad.IO.Class           (liftIO)
import Lucid                            (Html)
import Web.Twain

index :: ResponderM a
index = liftIO Conf.appTitle >>= (\title -> 
  sendLucidFragment 
   $ baseDoc title baseNav 
  <> baseHome)

testRoute :: ResponderM a
testRoute = do
  testParam <- param "testParam"
  send $ status status202 $ html $ "Testing echo parameter: " <> testParam

missing :: ResponderM a
missing = sendLucidFragment pageNotFound

sendLucidFragment :: Html () -> ResponderM a
sendLucidFragment x = send $ html $ R.lucidToTwain x
