module Fragments.Base where

import Data.Text
import Data.String (fromString)
import Lucid

baseDoc :: String -> Html () -> Html ()
baseDoc title nav = doctypehtml_ $ do
  head_ $ do
    title_ $ fromString title
    link_ [rel_ "stylesheet", type_ "text/css", href_ "style.css"]
    script_ [src_ "/htmx.min.js"] none
  body_ nav

baseNav :: Html ()
baseNav = div_ [class_ "navContainer"] $ do
  ul_ [class_ "mainNav"] $ do
    li_ $ a_ [href_ "/"]        "Home"
    li_ $ a_ [href_ "/posts"]   "Posts"
    li_ $ a_ [href_ "/contact"] "Contact"
    li_ $ a_ [href_ "/feed"]    "Feed"

baseHome :: Html ()
baseHome = div_ [class_ "main"] $ do
  {- Remove the below and replace with a Markdown fragment once .md
     processing is implemented. -}
  h1_ "James Eversole"
  p_ "A blog about functional programming, philosophy, and politics (sorry)"
  
none :: Text
none = mempty
